# Calendar Generator
A calendar generator, built in LaTeX. The main work is done by the `calpage` 
command which is based on the [birthday calendar example](www.texample.net/tikz/examples/birthday-calendar/) 
by Hakon Malmedal.   

The images are licensed as [cc-by 4.0](ihttp://creativecommons.org/licenses/by/4.0/) 
as is calpage.sty.

# Prerequisites
- [LuaTeX](http://www.luatex.org/)
- make

# Usage
Generate the following folder structure: `calendars/{year}/images`.

It is assumed that the images are named after the months of the year (in English)
and that there is one image called `title`.

Make a file `calendars/{year}/title` and write the calendar title into.

To build all run `make`.

To build only a specific year run for example `make 2015`.

# Configuration
Months and weekdays are in german, if you want to change that take a look at the 
`pgfcalendarmonthname` definition in `calendar.tex` and the `day letter headings` 
in `calpage.sty`. For holiday definitions, take a look at the end of `calpage.sty`.
I will make that easier to configure in a future version.

You'll find the generated pdfs in the `build` folder.

![a screenshot of december](screenshot.png)
